Bug 509355 - Segmentation fault for RAID5 two volume array when first disk is missing.
Segmentation fault for RAID5 two volume array when first disk is missing.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.4
All Linux
low Severity urgent
: rc
: ---
Assigned To: Heinz Mauelshagen
Corey Marthaler
:
Depends On: 516243
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 08:37 EDT by Krzysztof Wojcik
Modified: 2009-09-02 07:17 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch proposal (2.20 KB, patch)
2009-07-11 04:11 EDT, Heinz Mauelshagen
no flags Details | Diff
Patch for seg fault for raid5- 2vol array. (1.80 KB, patch)
2009-07-20 09:17 EDT, Krzysztof Wojcik
no flags Details | Diff

  None (edit)
Description Krzysztof Wojcik 2009-07-02 08:37:02 EDT
Description of problem:
Segmentation fault when starting rebuild on 2 volume RAID5.
After issuing command: dmraid -R, segmentation error shows up.

How reproducible:
Always


Steps to Reproduce:
1. Create raid5 tow volume array: dmraid -f isw -C r5d3n1s64-5 --type 5 --size 5G --disk "/dev/sdb
/dev/sdc /dev/sdd"
    echo y | dmraid -f isw -C r5d3n0s64 --type 5 --disk "/dev/sdb /dev/sdc
/dev/sdd"
2. REBOOT PC- remove FIRST disk from raid.
3. Init rebuild dmraid -R first_vol_name disk_to_rebuild

Actual results:
SEGMENTATION FAULT.

Expected results:
Rebuilding starts and finishes positively.

Additional info:
Comment 1 Heinz Mauelshagen 2009-07-11 04:11:35 EDT
Created attachment 351330 [details]
Patch proposal

Based on dmraid 1.0.0.rc13-51 from RHEL5.4 Beta
Comment 2 Krzysztof Wojcik 2009-07-20 09:17:25 EDT
Created attachment 354343 [details]
Patch for seg fault for raid5- 2vol array.

Patch in comment #1 is not appropriate.
To fix this issue please apply patch from attachment.
Please include this patch to next RHEL5.4 Snapshot.

Patch based on dmraid 1.0.0.rc13-51.
Comment 8 errata-xmlrpc 2009-09-02 07:17:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1347.html

Note You need to log in before you can comment on or make changes to this bug.